#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

#include "ssl.h"


static int status;

void set_use_ssl(int v) {
  status = v;
}

int use_ssl(void) {
  return status;
}

#if HAVE_LIBSSL
static SSL * ssl_hndl;

void set_ssl_handle(SSL * sh) {
  ssl_hndl = sh;
}

SSL * get_ssl_handle(void) {
  return ssl_hndl;
}

#endif
